Mantis Bugtracker
  

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005989 [Resin] minor always 03-01-16 07:14 11-10-16 14:57
Reporter chiefgeek View Status public  
Assigned To ferg
Priority normal Resolution fixed  
Status closed   Product Version 4.0.47
Summary 0005989: Resin pauses for 30 or more seconds during startup performing some git operations
Description I have added something to my wars that does not play nice with Resin and causes a 30+ second delay during startup while resin does some sort of Git operations on the archive.

Here is a snippet of the log where the pause occurs:
Starting Resin on Tue, 29 Mar 2016 09:06:23 -0500 (CDT)

[16-03-29 09:06:24.691] {main}
[16-03-29 09:06:24.691] {main} Resin-4.0.47 (built Thu, 03 Dec 2015 10:34:34 PST)
[16-03-29 09:06:24.691] {main}
[16-03-29 09:06:24.691] {main} Mac OS X 10.11.3 x86_64
[16-03-29 09:06:24.691] {main} Java(TM) SE Runtime Environment 1.7.0_45-b18, UTF-8, en
[16-03-29 09:06:24.691] {main} Java HotSpot(TM) 64-Bit Server VM 24.45-b08, 64, mixed mode, Oracle Corporation
[16-03-29 09:06:24.691] {main}
[16-03-29 09:06:24.691] {main} user.name = jeffkreska
[16-03-29 09:06:24.766] {main}
[16-03-29 09:06:24.773] {main} server listening to chief.wkstn.farecompare.com:6836
[16-03-29 09:06:24.777] {main}
[16-03-29 09:06:24.844] {main}
[16-03-29 09:06:24.844] {main} resin.home = /usr/local/resin/
[16-03-29 09:06:24.844] {main} resin.root = /usr/local/resin/
[16-03-29 09:06:24.845] {main} resin.conf = /usr/local/resin/conf/resin.xml
[16-03-29 09:06:24.845] {main}
[16-03-29 09:06:24.845] {main} server = 192.168.7.212:6836 (deals:deals)
[16-03-29 09:06:24.845] {main} stage = production

2016-03-29 09:06:57,296 INFO [Log4JInit] Logger configured with log file watch file:/usr/local/resin/log4j.xml

Any help on getting resin to not pause for 30+ seconds at this phase?
Additional Information
Attached Files

- Relationships

- Notes
(0006688)
chiefgeek
04-25-16 06:03

The 30 second pause only happens the first time you start resin for a given war. Restarts without changing war file do not pause for 30 seconds.
 
(0006721)
ferg
11-10-16 14:57

.git update merged so only one .war is uploaded, as opposed to individual files.
 

- Issue History
Date Modified Username Field Change
03-01-16 07:14 chiefgeek New Issue
04-25-16 06:03 chiefgeek Note Added: 0006688
11-10-16 14:57 ferg Note Added: 0006721
11-10-16 14:57 ferg Assigned To  => ferg
11-10-16 14:57 ferg Status new => closed
11-10-16 14:57 ferg Resolution open => fixed
11-10-16 14:57 ferg Fixed in Version  => 4.0.50


Mantis 1.0.0rc3[^]
Copyright © 2000 - 2005 Mantis Group
31 total queries executed.
27 unique queries executed.
Powered by Mantis Bugtracker